.section--work{
   display: flex;
   flex-direction: column;
   align-items: flex-start;
   margin: 0 auto;
   margin-top: 40px;

   .section-container--first{
      padding: 32px 24px;
      margin-bottom: 32px;

         .title{
            font-weight: 400;
            font-size: 32px;
            line-height: 1.1;
            letter-spacing: -0.02em;
            color: var(--theme-color-y-black);
            width: 215px;
            margin-bottom: 12px;
         }
   
         .text{
            font-weight: 400;
            font-size: 14px;
            line-height: 1.4;
            letter-spacing: -0.01em;
            color: var(--theme-color-y-black);
         }

         .button{
            margin-top: 16px;
            display: flex;
            justify-content: center;
            align-items: center;
            width: 204px;
            height: 48px;
            font-family: Yandex;
            font-weight: 500;
            font-size: 13px;
            line-height: 15px;
            color: var(--theme-color-y-black);
            background: var(--theme-color-y-yellow);
            border-radius: 8px;
         }
   }

   .section-container--second{
      display: flex;
      flex-direction: column;
      margin: 0 auto;
      padding: 0 24px;
      position: relative;
      background: linear-gradient(180deg, rgba(255, 255, 255, 0.6) 0%, rgba(241, 241, 241, 0.6) 100%);
      backdrop-filter: blur(12px);
      border-radius: 40px;

      .section-container__item{
         display: flex;
         flex-direction: row;
         margin-bottom: 32px;

         .number{
            width: 32px;
            height: 32px;
            border: 2px solid var(--theme-color-y-violet);
            border-radius: 50%;
            margin-right: 20px;
            display: flex;
            justify-content: center;
            align-items: center;
            background: rgb(252, 252, 252);
            z-index: 2;

            .text{
               font-size: 14px;
               line-height: 1.4;
               letter-spacing: -0.01em;
               color: var(--theme-color-y-black);
            }
         }

         .text-wrapper{
            width: 196px;

            .subtitle{
               font-weight: 400;
               font-size: 24px;
               line-height: 1.1;
               margin-bottom: 12px;
               color: var(--theme-color-y-black);
            }

            .text{
               font-weight: 400;
               font-size: 14px;
               line-height: 1.4;
               letter-spacing: -0.01em;
               color: var(--theme-color-y-black);
            }
         }
      }
      
      .line{
         content: "";
         height: 520px;
         width: 1px;
         background: var(--theme-color-gray);
         position: absolute;
         left: 40px;
         top: 15px;
         
      }
   }

}

@media screen and (min-width: 576px){

}

@media screen and (min-width: 768px){

   .section--work{
      width: 720px;
  
      .section-container--first{
         padding-left: 76px; 
         margin-bottom: 49px;
         padding-top: 48px;
   
            .title{
               font-size: 40px;
               width: 216px;
               margin-bottom: 21px;
            }
      
            .text{
               width: 202px;
               margin-bottom: 27px;
            }
   
            .button{
               margin-top: 0;
            }
      }
   
      .section-container--second{
         margin: 0;
         padding-left: 76px;
   
         .section-container__item{
            display: flex;
            flex-direction: row;
            margin-bottom: 32px;
   
            .number{
               width: 64px;
               height: 64px;
               margin-right: 28px;
   
               .text{
                  font-size: 24px;
                  line-height: 1.4;
                  letter-spacing: -0.01em;
                  color: var(--theme-color-y-black);
               }
            }
   
            .text-wrapper{
               width: 294px;
            }
         }
         
         .line{
            height: 500px;
            left: 108px;
            top: 15px;
            
         }
      }
   
   }
}

@media screen and (min-width: 992px){
   .section--work{
      flex-direction: row;
      align-items: flex-start;

      .section-container--first{
         padding-left: 0;
      }

      .section-container--second{
         margin-top: 48px;
      }
   }

}

@media screen and (min-width: 1200px){
   .section--work{
      width: 1200px;
      flex-direction: row;
      align-items: flex-start;

      .section-container--first{
         padding-left: 0;
         margin-left: 55px;
         margin-right: 100px;
         width: 342px;
      }

      .section-container--second{
         margin-top: 48px;
      }
   }
}